Kommentar
Åtkomst till den här sidan kräver auktorisering. Du kan prova att logga in eller ändra kataloger.
Åtkomst till den här sidan kräver auktorisering. Du kan prova att ändra kataloger.
Create a currency object in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
POST businesscentralPrefix/companies({id})/currencies
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply a JSON representation of currencies object.
Response
If successful, this method returns 201 Created response code and a currencies object in the response body.
Example
Request
Here's an example of a request.
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/currencies
Content-type: application/json
{
"id": "0ca5738a-44e3-ea11-bb43-000d3a2feca1",
"code": "CAD",
"displayName": "Canadian dollar",
"symbol": "$",
"amountDecimalPlaces": "2:2",
"amountRoundingPrecision": 0.01,
"lastModifiedDateTime": "2020-08-21T00:24:12.793Z"
}
Response
Here's an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "0ca5738a-44e3-ea11-bb43-000d3a2feca1",
"code": "CAD",
"displayName": "Canadian dollar",
"symbol": "$",
"amountDecimalPlaces": "2:2",
"amountRoundingPrecision": 0.01,
"lastModifiedDateTime": "2020-08-21T00:24:12.793Z"
}
Response
Here's an example of the response.
Related information
Tips for working with the APIs
currency
Get currency
Delete currency
Update currency